#include <stdio.h>

#include "demon.h"
#include "villager.h"
#include "weapons.h"

int main()
{
    char gun_name[50] = "BFG";
    struct gun *gun = init_gun(gun_name, 50, FAR, 16);

    printf("Gun name: %s\nDamage: %d\nRange: %d\nMagazine: %d/%d\n", gun->name, gun->damage, gun->range, gun->current_magazine, gun->magazine_size);

}
